Class SelectControlPort
Inheritance
System.Object
System.MarshalByRefObject
SelectControlPort
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.Motion
Assembly: NXOpen.dll
Syntax
public class SelectControlPort : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectControlPort()
Declaration
protected SelectControlPort()
Properties
Value
Declaration
public ControlPort Value { get; set; }
Property Value
Type | Description |
---|---|
ControlPort |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public ControlPort GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
ControlPort |
GetValue(out InferSnapType.SnapType, out ControlPort, out View, out Point3d, out ControlPort, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out ControlPort selection1, out View view1, out Point3d point1, out ControlPort selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
ControlPort | selection1 | |
View | view1 | |
Point3d | point1 | |
ControlPort | selection2 | |
View | view2 | |
Point3d | point2 |
GetValue(out ControlPort, out View, out Point3d)
Declaration
public void GetValue(out ControlPort selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
ControlPort | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, ControlPort, View, Point3d, ControlPort, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, ControlPort selection1, View view1, Point3d point1, ControlPort selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
ControlPort | selection1 | |
View | view1 | |
Point3d | point1 | |
ControlPort | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(ControlPort, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(ControlPort selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
ControlPort | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(ControlPort, View, Point3d)
Declaration
public void SetValue(ControlPort selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
ControlPort | selection | |
View | view | |
Point3d | point |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink